10.2. Account Setup
<<< Prev | Chapter 10. Multiple Currencies | Next >>>

## 10.2. Account Setup

Your default account currency is set in Edit -> Preferences -> International -> New Account Default Currency. You should set this parameter correctly, as it will save you much time when building your account structure.

When you create a new account, you have the option to define the commodity. For currency accounts, you can specify any one of the hundreds of currencies supported by GnuCash by simply selecting it from the currency commodity list. You will notice that the default currency is always whatever you have defined in the preferences. So, if you mostly work with Euros, but have the occasional Ethiopian Birr account, be sure to set your preferences to Euro.

As an example, let's set up a typical bank account scenario where you mostly work in US Dollars, but do also have a European bank account using the Euro currency. So, setup 2 bank accounts, one using the Euro currency, and another in dollars. One possible account structure for this would be:

-Assets (USD)
-Banks (USD)
-US Bank (USD)
-European Bank (EUR)
-Equity (USD)
-Starting Balances USD (USD)
-Starting Balances EUR (EUR)
Note: the currency of each account is shown in parenthesis.

Since in this example you mostly work in USD, all of the parent accounts are set to USD. Of course, if you mostly work in Euros, you could change the currency of these parent accounts to EUR. To totals shown in the account tree window will always be converted to the currency of each particular account. Notice, we also setup 2 Starting Balances equity accounts, used to initially populate the 2 banks.

| Note
You could also setup just a single Starting Balance account and use a currency transfer to populate the "different currency" accounts. However, this is more advanced option, which is explain in a later section.

Below you see the result of this example, in which we start with USD 10000 and EUR 10000 in the two bank accounts. Notice that the total of the parent accounts only show the value of the currency of subaccounts with matching currencies. In the future you can setup the exchange rates between the currencies, and the parent accounts will calculate the converted value of all subaccounts. See the later section on how to do this.

Initial setup of 2 bank account with different currencies. Notice that the "Total (Report)" column is being displayed. This is configured in the Options -> Account Fields to Display area.

<<< Prev | Home | Next >>>
10.1. Basic Concepts | Up | 10.3. GnuCash Currency Support